diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index 6c0a005..b6cd3fb 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -534,6 +534,23 @@ define([
           break;
         }
       }
+
+      let el_name = ev.target.name;
+      if(el_name == 'key'){
+        let $parentDiv = $el.closest('.value'),
+          $nextField = $parentDiv.find('.shift .btn-checkbox');
+
+        if ($nextField.length == 0) {
+          $nextField = $el.closest('.value').next().find('input.form-control');
+        }
+
+        if ($nextField.length) {
+          $nextField.focus();
+          ev.preventDefault();
+          ev.stopImmediatePropagation();
+          ev.stopPropagation();
+        }
+      }
     }
   });
   return alertify;
diff --git a/web/pgadmin/static/scss/_jsoneditor.overrides.scss b/web/pgadmin/static/scss/_jsoneditor.overrides.scss
index 4c27e5b..097aa6b 100644
--- a/web/pgadmin/static/scss/_jsoneditor.overrides.scss
+++ b/web/pgadmin/static/scss/_jsoneditor.overrides.scss
@@ -385,10 +385,6 @@ div.jsoneditor-value[contenteditable=true]:hover
     padding: 4px;
 }
 
-a:focus, input[type=checkbox]:focus, select:focus{
-   outline:none !important;
-}
-
 .jsoneditor-modal option{
   background-color: $color-primary-light !important;
   border: 1px solid $color-primary-light !important;
